using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace porez_frilenserima
{
    class Program
    {
        static void Main(string[] args)
        {
            long n = long.Parse(Console.ReadLine());
            double[] A = new double[n];
            double[] P = new double[n];
            double porez = 0;
            double maxporez = 0;
            for(long i=0;i<n;i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                A[i] = double.Parse(s[0]);
                P[i] = double.Parse(s[1]);

            }
            for(long i=0;i<n;i++)
            {
                for(long j=0;j<n;j++)
                {
                    if(P[j]>P[i])
                    {
                        porez += P[j]*A[j]/100;
                    }
                }
                if (porez > maxporez)
                    maxporez = porez;
                porez = 0;
            }
            Console.WriteLine(maxporez);
            Console.ReadLine();

        }
    }
}